
ctools - Action #3738

Add comscripts to ctools

06/20/2021 10:31 AM - Knödlseder Jürgen

Status: Closed Start date: 06/20/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

To avoid a separate distribution of comscripts it is preferable in include the scripts as an additional module in ctools.

History

#1 - 06/22/2021 09:23 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

I created a branch and copied over the comscripts from my private GitLab area.

I created dedicated parfiles for all scripts and removed the automatic parfile creation. I also changed the scripts so that they derive from the adequate

ctools base class. I also did some further minor adjustments, such as adding the filenames of the diffuse maps or cubes as user parameters to

comobsmodel.

I added the structure for unit tests and created a reduced version of the COMPTEL database for testing. I started with the implementation of unit tests

for comobsselect and comobsbin.

I also copied over the CGRO caldb from GammaLib to ctools so that the unit tests work properly.

The creation of unit tests for the other scripts is still outstanding.

#2 - 06/24/2021 04:18 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 50 to 90

I completed the addition of unit tests for all comscripts.

Time to merge in the code.

#3 - 06/25/2021 03:33 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

The code was merged into devel.
